Module jdk.attach
Package com.sun.tools.attach

# Class AgentLoadException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sun.tools.attach.AgentLoadException

All Implemented Interfaces:
  `Serializable`

public class AgentLoadException extends Exception
The exception thrown when an agent cannot be loaded into the target Java virtual machine.

This exception is thrown by `VirtualMachine.loadAgent` or `VirtualMachine.loadAgentLibrary`, `loadAgentPath` methods if the agent, or agent library, cannot be loaded.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AgentLoadException()`
Constructs an `AgentLoadException` with no detail message.
`AgentLoadException(String s)`
Constructs an `AgentLoadException` with the specified detail message.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AgentLoadException

public AgentLoadException()
Constructs an `AgentLoadException` with no detail message.

### AgentLoadException

public AgentLoadException(String s)
Constructs an `AgentLoadException` with the specified detail message.

Parameters:
  `s` - the detail message.